forge Namespace Reference

## Data Structures

class | Chart
| Chart is base canvas where other plottable objects are rendered. More...
class | Error
class | Font
| Font object is essentially a resource handler for the specific font you want to use. More...
class | Histogram
| Histogram is a bar graph to display data frequencey. More...
class | Image
| Image is plain rendering of an image over the window or sub-region of it. More...
class | Plot
| Plot is a line graph to display two dimensional data. More...
class | Surface
| Surface is a graph to display three dimensional data. More...
class | VectorField
| VectorField is a line graph to display two dimensional data. More...
class | Window
| Window is where other objects such as Images, Plots etc. More...

## Typedefs

typedef fg_err | ErrorCode
typedef fg_channel_format | ChannelFormat
typedef fg_chart_type | ChartType
typedef fg_color_map | ColorMap
typedef fg_color | Color
typedef fg_plot_type | PlotType
typedef fg_marker_type | MarkerType

## Enumerations

enum | dtype { s8 = FG_INT8 , u8 = FG_UINT8 , s32 = FG_INT32 , u32 = FG_UINT32 , f32 = FG_FLOAT32 , s16 = FG_INT16 , u16 = FG_UINT16 }

## Functions

FGAPI void | updateVertexBuffer (const unsigned pBufferId, const size_t pBufferSize, const void *pBufferData)
| Update backend specific vertex buffer from given host side memory.
FGAPI void | updatePixelBuffer (const unsigned pBufferId, const size_t pBufferSize, const void *pBufferData)
| Update backend specific pixel buffer from given host side memory.
FGAPI void | finish ()
| Sync all rendering operations till this point.

## Typedef Documentation

## ChannelFormat

typedef fg_channel_format ChannelFormat

## ChartType

typedef fg_chart_type ChartType

## Color

typedef fg_color Color

Examples
  cpu/plotting.cpp, and opencl/plotting.cpp.

## ColorMap

typedef fg_color_map ColorMap

## ErrorCode

typedef fg_err ErrorCode

## MarkerType

typedef fg_marker_type MarkerType

## PlotType

typedef fg_plot_type PlotType

## Enumeration Type Documentation

## dtype

enum dtype

Enumerator
s8 |
u8 |
s32 |
u32 |
f32 |
s16 |
u16 |

## Function Documentation

## finish()

FGAPI void finish | ( |  | ) |

Sync all rendering operations till this point.

## updatePixelBuffer()

FGAPI void updatePixelBuffer | ( | const unsigned | pBufferId,
|  | const size_t | pBufferSize,
|  | const void * | pBufferData )

Update backend specific pixel buffer from given host side memory.

Parameters

  [in] | pBufferId | is the buffer identifier
  [in] | pBufferSize | is the buffer size in bytes
  [in] | pBufferData | is the pointer of the host side memory

## updateVertexBuffer()

FGAPI void updateVertexBuffer | ( | const unsigned | pBufferId,
|  | const size_t | pBufferSize,
|  | const void * | pBufferData )

Update backend specific vertex buffer from given host side memory.

Parameters

  [in] | pBufferId | is the buffer identifier
  [in] | pBufferSize | is the buffer size in bytes
  [in] | pBufferData | is the pointer of the host side memory